Package org.pentaho.reporting.libraries.resourceloader.loader

# Class LoaderUtils

java.lang.Object
org.pentaho.reporting.libraries.resourceloader.loader.LoaderUtils

public class LoaderUtils extends Object
Creation-Date: 05.04.2006, 16:02:53

Author:
  Thomas Morgner

## Method Summary

Modifier and Type
Method
Description
`static String`
`getFileName(String file)`
Extracts the file name from a path name.
`static String`
`mergePaths(String parent, String child)`
Merges two paths.
`static String`
`stripLeadingSlashes(String s)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### stripLeadingSlashes

public static String stripLeadingSlashes(String s)

### mergePaths

public static String mergePaths(String parent, String child) throws ResourceKeyCreationException
Merges two paths. A path is recognized as an absolute path, if it has an URL-schema definition attached. A parent is recognized as container path (a directory, in the common language), if it ends with a slash. Todo: Introduce escaping using "\" as escape char.

Parameters:
  `parent` -
  `child` -
Returns:
Throws:
  `ResourceKeyCreationException`

### getFileName

public static String getFileName(String file)
Extracts the file name from a path name.

Parameters:
  `file` - the path name.
Returns:
  the extracted filename.